"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DynamicFonts_js_1 = require("mathjax-full/cjs/output/chtml/DynamicFonts.js");
var chtml_js_1 = require("../../chtml.js");
var Direction_js_1 = require("mathjax-full/cjs/output/common/Direction.js");
chtml_js_1.MathJaxBonumFont.dynamicSetup('', 'accents', (0, DynamicFonts_js_1.AddFontIds)({
    'AC': {
        'normal': {
            0xB8: [.002, .22, .32],
            0x2BE: [.669, -.318, .403],
            0x2BF: [.669, -.318, .403],
            0x2DB: [.01, .24, .32],
            0x2DD: [.711, -.55, .38, { sk: .045 }],
            0x309: [.761, -.539, 0, { dx: .27 }],
            0x30B: [.731, -.57, 0, { dx: .235 }],
            0x30F: [.731, -.57, 0, { dx: .325 }],
            0x311: [.746, -.599, 0, { dx: .28 }],
            0x323: [-.091, .209, 0, { dx: .283 }],
            0x326: [-.05, .268, 0, { dx: .28 }],
            0x32C: [-.07, .23, 0, { dx: .28 }],
            0x32D: [-.08, .24, 0, { dx: .28 }],
            0x32E: [-.07, .217, 0, { dx: .28 }],
            0x32F: [-.088, .235, 0, { dx: .28 }],
            0x330: [-.088, .219, 0, { dx: .28 }],
            0x331: [-.125, .175, 0, { dx: .284 }],
            0x332: [-.07, .13, 0, { dx: .28 }],
            0x333: [-.07, .26, 0, { dx: .28 }],
            0x33F: [.81, -.62, 0, { dx: .28 }],
            0x34D: [-.057, .323, 0, { dx: .28 }],
            0x20D3: [.52, 0, 0, { sk: -.28 }],
            0x20D4: [.809, -.608, 0, { dx: .28 }],
            0x20D5: [.809, -.608, 0, { dx: .28 }],
            0x20D8: [.432, -.088, 0, { sk: -.28 }],
            0x20DD: [.698, .178, 0],
            0x20DE: [.68, .16, 0],
            0x20DF: [.888, .368, 0],
            0x20E4: [.733, .231, 0],
            0x20E5: [.68, .16, 0, { sk: -.28 }],
            0x20E6: [.68, .16, 0, { sk: -.28 }],
            0x20E8: [-.07, .17, 0, { dx: .28 }],
            0x20E9: [.768, -.536, 0, { dx: .28 }],
            0x20EA: [.453, -.067, 0, { sk: -.28 }],
            0x20EB: [.68, .16, 0, { sk: -.28 }],
            0x20F0: [.806, -.53, 0, { dx: .28 }]
        }
    },
    '': {
        '-smallop': {
            0x311: [.761, -.585, .703],
            0x32C: [-.07, .259, .685],
            0x32D: [-.08, .269, .685],
            0x32E: [-.07, .246, .703],
            0x32F: [-.088, .264, .703],
            0x330: [-.088, .28, .68],
            0x332: [-.07, .13, .56],
            0x333: [-.07, .26, .56],
            0x33F: [.81, -.62, .56],
            0x34D: [-.057, .323, .79]
        },
        '-largeop': {
            0x311: [.762, -.585, .838],
            0x32C: [-.07, .26, .817],
            0x32D: [-.08, .27, .817],
            0x32E: [-.07, .247, .838],
            0x32F: [-.088, .265, .838],
            0x330: [-.088, .28, .813]
        },
        '-size3': {
            0x311: [.763, -.584, 1.001],
            0x32C: [-.07, .261, .978],
            0x32D: [-.08, .271, .978],
            0x32E: [-.07, .249, 1.001],
            0x32F: [-.088, .267, 1.001],
            0x330: [-.088, .28, .973]
        },
        '-size4': {
            0x311: [.764, -.584, 1.194],
            0x32C: [-.07, .262, 1.168],
            0x32D: [-.08, .272, 1.168],
            0x32E: [-.07, .25, 1.194],
            0x32F: [-.088, .268, 1.194],
            0x330: [-.088, .28, 1.165]
        },
        '-size5': {
            0x311: [.765, -.584, 1.427],
            0x32C: [-.07, .264, 1.399],
            0x32D: [-.08, .274, 1.399],
            0x32E: [-.07, .251, 1.427],
            0x32F: [-.088, .269, 1.427],
            0x330: [-.088, .279, 1.397]
        },
        '-size6': {
            0x311: [.766, -.584, 1.708],
            0x32C: [-.07, .265, 1.678],
            0x32D: [-.08, .275, 1.678],
            0x32E: [-.07, .252, 1.708],
            0x32F: [-.088, .27, 1.708],
            0x330: [-.088, .279, 1.674]
        },
        '-ex-md': {
            0x332: [-.07, .13, .186],
            0x333: [-.07, .26, .186],
            0x33F: [.81, -.62, .186],
            0x34D: [-.16, .22, .158]
        }
    }
}, 'GB'), {
    0x311: {
        dir: Direction_js_1.H,
        sizes: [.402, .703, .838, 1.001, 1.194, 1.427, 1.708]
    },
    0x32C: {
        dir: Direction_js_1.H,
        sizes: [.388, .685, .817, .978, 1.168, 1.399, 1.678]
    },
    0x32D: {
        dir: Direction_js_1.H,
        sizes: [.388, .685, .817, .978, 1.168, 1.399, 1.678]
    },
    0x32E: {
        dir: Direction_js_1.H,
        sizes: [.402, .703, .838, 1.001, 1.194, 1.427, 1.708]
    },
    0x32F: {
        dir: Direction_js_1.H,
        sizes: [.402, .703, .838, 1.001, 1.194, 1.427, 1.708]
    },
    0x330: {
        dir: Direction_js_1.H,
        sizes: [.382, .68, .813, .973, 1.165, 1.397, 1.674]
    },
    0x332: {
        dir: Direction_js_1.H,
        sizes: [.373, .56],
        stretch: [0, 0x332],
        stretchv: [0, 1],
        HDW: [-0.07, 0.13, 0],
        hd: [-.07, .13]
    },
    0x333: {
        dir: Direction_js_1.H,
        sizes: [.373, .56],
        stretch: [0, 0x333],
        stretchv: [0, 1],
        HDW: [-0.07, 0.26, 0],
        hd: [-.07, .26]
    },
    0x33F: {
        dir: Direction_js_1.H,
        sizes: [.373, .56],
        stretch: [0, 0x33F],
        stretchv: [0, 1],
        HDW: [0.81, -0.62, 0],
        hd: [.81, -.62]
    },
    0x34D: {
        dir: Direction_js_1.H,
        sizes: [.49, .79],
        stretch: [0x20EE, 0x34D, 0x20EF],
        stretchv: [2, 1, 3],
        HDW: [-0.057, 0.323, 0],
        hd: [-.16, .22]
    },
    0x20E9: {
        dir: Direction_js_1.H,
        sizes: [.375, .75, 1.125, 1.5, 1.875, 2.25, 2.625],
        schar: [0x20E9, 0x23B4],
        stretch: [0x23B4, 0x23B4, 0x23B4],
        stretchv: [2, 1, 3],
        HDW: [0.813, -0.537, 0],
        hd: [.813, -.697]
    }
}, ['MJX-GB-AC']);
//# sourceMappingURL=accents.js.map