import { ChtmlFontData, ChtmlCharOptions, ChtmlVariantData, ChtmlDelimiterData, DelimiterMap, CharMapMap } from 'mathjax-full/mjs/output/chtml/FontData.js';
import { StringMap } from 'mathjax-full/mjs/output/common/Wrapper.js';
declare const Base: import("mathjax-full/mjs/output/common/FontData.js").FontDataClass<ChtmlCharOptions, ChtmlVariantData, ChtmlDelimiterData> & typeof ChtmlFontData;
export declare class MathJaxBonumFont extends Base {
    static NAME: string;
    static OPTIONS: {
        fontURL: string;
        dynamicPrefix: string;
    };
    protected static defaultCssFamilyPrefix: string;
    protected static defaultVariantLetters: StringMap;
    protected static defaultDelimiters: DelimiterMap<ChtmlDelimiterData>;
    protected static defaultChars: CharMapMap<ChtmlCharOptions>;
    protected static defaultStyles: {
        '.GB-N': {
            'font-family': string;
        };
        '.GB-B': {
            'font-family': string;
        };
        '.GB-I': {
            'font-family': string;
        };
        '.GB-BI': {
            'font-family': string;
        };
        '.GB-DS': {
            'font-family': string;
        };
        '.GB-F': {
            'font-family': string;
        };
        '.GB-FB': {
            'font-family': string;
        };
        '.GB-S': {
            'font-family': string;
        };
        '.GB-SB': {
            'font-family': string;
        };
        '.GB-SS': {
            'font-family': string;
        };
        '.GB-SSB': {
            'font-family': string;
        };
        '.GB-SSI': {
            'font-family': string;
        };
        '.GB-SSBI': {
            'font-family': string;
        };
        '.GB-M': {
            'font-family': string;
        };
        '.GB-SO': {
            'font-family': string;
        };
        '.GB-LO': {
            'font-family': string;
        };
        '.GB-S3': {
            'font-family': string;
        };
        '.GB-S4': {
            'font-family': string;
        };
        '.GB-S5': {
            'font-family': string;
        };
        '.GB-S6': {
            'font-family': string;
        };
        '.GB-MI': {
            'font-family': string;
        };
        '.GB-C': {
            'font-family': string;
        };
        '.GB-CB': {
            'font-family': string;
        };
        '.GB-OS': {
            'font-family': string;
        };
        '.GB-OB': {
            'font-family': string;
        };
        '.GB-V': {
            'font-family': string;
        };
        '.GB-LT': {
            'font-family': string;
        };
        '.GB-RB': {
            'font-family': string;
        };
        '.GB-EM': {
            'font-family': string;
        };
    };
    protected static defaultFonts: {
        '@font-face /* MJX-GB-ZERO */': {
            'font-family': string;
            src: string;
        };
        '@font-face /* MJX-BRK */': {
            'font-family': string;
            src: string;
        };
        '@font-face /* MJX-GB-N */': {
            'font-family': string;
            src: string;
        };
        '@font-face /* MJX-GB-B */': {
            'font-family': string;
            src: string;
        };
        '@font-face /* MJX-GB-I */': {
            'font-family': string;
            src: string;
        };
        '@font-face /* MJX-GB-BI */': {
            'font-family': string;
            src: string;
        };
        '@font-face /* MJX-GB-DS */': {
            'font-family': string;
            src: string;
        };
        '@font-face /* MJX-GB-F */': {
            'font-family': string;
            src: string;
        };
        '@font-face /* MJX-GB-FB */': {
            'font-family': string;
            src: string;
        };
        '@font-face /* MJX-GB-S */': {
            'font-family': string;
            src: string;
        };
        '@font-face /* MJX-GB-SB */': {
            'font-family': string;
            src: string;
        };
        '@font-face /* MJX-GB-SS */': {
            'font-family': string;
            src: string;
        };
        '@font-face /* MJX-GB-SSB */': {
            'font-family': string;
            src: string;
        };
        '@font-face /* MJX-GB-SSI */': {
            'font-family': string;
            src: string;
        };
        '@font-face /* MJX-GB-SSBI */': {
            'font-family': string;
            src: string;
        };
        '@font-face /* MJX-GB-M */': {
            'font-family': string;
            src: string;
        };
        '@font-face /* MJX-GB-SO */': {
            'font-family': string;
            src: string;
        };
        '@font-face /* MJX-GB-LO */': {
            'font-family': string;
            src: string;
        };
        '@font-face /* MJX-GB-S3 */': {
            'font-family': string;
            src: string;
        };
        '@font-face /* MJX-GB-S4 */': {
            'font-family': string;
            src: string;
        };
        '@font-face /* MJX-GB-S5 */': {
            'font-family': string;
            src: string;
        };
        '@font-face /* MJX-GB-S6 */': {
            'font-family': string;
            src: string;
        };
        '@font-face /* MJX-GB-MI */': {
            'font-family': string;
            src: string;
        };
        '@font-face /* MJX-GB-C */': {
            'font-family': string;
            src: string;
        };
        '@font-face /* MJX-GB-CB */': {
            'font-family': string;
            src: string;
        };
        '@font-face /* MJX-GB-OS */': {
            'font-family': string;
            src: string;
        };
        '@font-face /* MJX-GB-OB */': {
            'font-family': string;
            src: string;
        };
        '@font-face /* MJX-GB-V */': {
            'font-family': string;
            src: string;
        };
        '@font-face /* MJX-GB-LT */': {
            'font-family': string;
            src: string;
        };
        '@font-face /* MJX-GB-RB */': {
            'font-family': string;
            src: string;
        };
        '@font-face /* MJX-GB-EM */': {
            'font-family': string;
            src: string;
        };
    };
    protected static dynamicFiles: import("mathjax-full/mjs/output/common/FontData.js").DynamicFileList;
    cssFontPrefix: string;
}
export {};
