import { AddFontIds } from 'mathjax-full/mjs/output/chtml/DynamicFonts.js';
import { MathJaxBonumFont } from '../../chtml.js';
MathJaxBonumFont.dynamicSetup('', 'PUA', AddFontIds({
    'PU': {
        'normal': {
            0xE000: [.694, .268, .8],
            0xE001: [.811, .241, .54, { ic: .002 }],
            0xE002: [.681, .268, .72, { ic: .03 }],
            0xE003: [.717, .268, .62, { ic: .008 }],
            0xE004: [.681, .268, .6, { ic: .029 }],
            0xE005: [.717, .268, .3],
            0xE006: [.681, .268, .74],
            0xE007: [.494, .268, .66],
            0xE008: [.681, .268, .72, { ic: .037 }],
            0xE009: [.494, .268, .44, { ic: .007 }],
            0xE803: [.734, 0, 1],
            0xEA04: [.778, -.547, .46],
            0xEA05: [-.096, .203, .46],
            0xEA06: [-.096, .203, .46],
            0xEA09: [.778, -.547, .46],
            0xEA0B: [.834, -.547, .46],
            0xEA0D: [.69, -.571, .46],
            0xEA10: [.766, -.547, .46],
            0xEA17: [.777, -.547, .42],
            0xEA1A: [.777, -.547, .42],
            0xEA1C: [.873, -.547, .42],
            0xEA1E: [.769, -.547, .42],
            0xEA1F: [-.05, .268, .268],
            0xEA26: [.711, -.55, .38, { sk: -.044 }],
            0xEA2A: [.848, -.571, .42],
            0xEA2C: [.849, -.571, .42],
            0xEA2F: [.848, -.571, .42],
            0xEA35: [.741, -.519, .34, { sk: .015 }],
            0xEA37: [.583, -.412, .34],
            0xEA3A: [-.125, .175, .44],
            0xEA3E: [-.125, .175, .44],
            0xEA42: [.83, -.521, .32],
            0xEA45: [-.107, .193, .44],
            0xEB03: [.848, .24, .68, { ic: .034 }],
            0xEB04: [.688, .24, .58, { ic: .007 }],
            0xEB08: [.687, .013, .74],
            0xEB0F: [.687, .013, .74],
            0xEB10: [0, 0, 0],
            0xEB11: [0, 0, 0],
            0xEB12: [0, 0, 0],
            0xEB16: [.681, 0, .58],
            0xEB19: [-.091, .209, .26],
            0xEB1E: [.848, .24, .72],
            0xEB1F: [.688, .24, .52],
            0xEB28: [.694, .013, 1.36],
            0xEB29: [.547, .24, .54],
            0xEB2B: [.764, .083, .8],
            0xEB31: [.406, -.115, .4],
            0xEB35: [.848, .24, .34],
            0xEB36: [.688, .24, .3],
            0xEB3A: [.848, .013, .6],
            0xEB3B: [.688, .241, .3],
            0xEB40: [.746, .065, 1],
            0xEB48: [.848, .24, .8],
            0xEB49: [.688, .24, .56],
            0xEB4D: [.416, .008, .395],
            0xEB61: [.561, -.255, .3],
            0xEB63: [.681, -.557, .333, { ic: .274 }],
            0xEB65: [.701, -.577, .277, { ic: .222 }],
            0xEB6E: [.681, .203, .78],
            0xEB6F: [.485, .203, .68],
            0xEC08: [.839, 0, .8],
            0xEC09: [.875, 0, .66],
            0xEC0A: [.839, 0, .6, { ic: .029 }],
            0xEC0B: [.875, 0, .3, { ic: .009 }],
            0xEC0C: [.839, 0, .62, { ic: .036 }],
            0xEC0D: [.825, .009, .38, { ic: .008 }],
            0xEC0E: [.855, 0, .62, { ic: .036 }],
            0xEC10: [.847, .166, .8],
            0xEC11: [.647, .166, .56],
            0xF6BE: [.485, .241, .3],
            0xF6DE: [.289, -.232, .75, { ic: .011 }]
        }
    },
    'PUB': {
        'bold': {
            0xE000: [.694, .306, .78],
            0xE001: [.879, .248, .58, { ic: .003 }],
            0xE002: [.681, .306, .8],
            0xE003: [.724, .306, .66],
            0xE004: [.681, .306, .64, { ic: .028 }],
            0xE005: [.724, .306, .34],
            0xE006: [.681, .306, .74],
            0xE007: [.511, .306, .68],
            0xE008: [.681, .306, .78, { ic: .003 }],
            0xE009: [.511, .306, .46, { ic: .002 }],
            0xE803: [.736, 0, 1.04],
            0xEA04: [.911, -.574, .5],
            0xEA05: [-.084, .236, .5],
            0xEA06: [-.084, .236, .5],
            0xEA09: [.911, -.574, .5],
            0xEA0B: [.93, -.574, .5],
            0xEA0D: [.755, -.586, .5],
            0xEA10: [.888, -.574, .5],
            0xEA17: [.915, -.571, .5],
            0xEA1A: [.915, -.571, .5],
            0xEA1C: [.974, -.571, .5],
            0xEA1E: [.895, -.571, .5],
            0xEA1F: [-.05, .306, .296],
            0xEA26: [.764, -.576, .44],
            0xEA2A: [.928, -.601, .5],
            0xEA2C: [.926, -.601, .5],
            0xEA2F: [.928, -.601, .5],
            0xEA35: [.794, -.546, .4],
            0xEA37: [.65, -.402, .4],
            0xEA3A: [-.117, .202, .46],
            0xEA3E: [-.117, .202, .46],
            0xEA42: [.95, -.561, .34, { ic: .013 }],
            0xEA45: [-.092, .227, .48],
            0xEB03: [.911, .23, .72, { ic: .043 }],
            0xEB04: [.762, .23, .58, { ic: .008 }],
            0xEB08: [.687, .013, .74],
            0xEB0F: [.687, .013, .74],
            0xEB10: [0, 0, 0],
            0xEB11: [0, 0, 0],
            0xEB12: [0, 0, 0],
            0xEB16: [.681, 0, .58],
            0xEB19: [-.064, .255, .32],
            0xEB1E: [.911, .23, .72, { ic: .004 }],
            0xEB1F: [.762, .23, .58],
            0xEB28: [.694, .013, 1.377],
            0xEB29: [.565, .222, .66],
            0xEB2B: [.764, .083, .78],
            0xEB31: [.492, -.036, .36],
            0xEB35: [.911, .23, .4],
            0xEB36: [.762, .23, .36],
            0xEB3A: [.911, .013, .64],
            0xEB3B: [.762, .226, .34, { ic: .001 }],
            0xEB40: [.761, .08, 1],
            0xEB48: [.911, .23, .8],
            0xEB49: [.762, .23, .62],
            0xEB4D: [.416, .008, .482],
            0xEB61: [.555, -.236, .34],
            0xEB63: [.681, -.449, .333, { ic: .358 }],
            0xEB65: [.701, -.469, .277, { ic: .306 }],
            0xEB6E: [.681, .236, .74],
            0xEB6F: [.502, .236, .66],
            0xEC08: [.897, 0, .82],
            0xEC09: [.94, 0, .68],
            0xEC0A: [.897, 0, .64, { ic: .028 }],
            0xEC0B: [.94, 0, .34, { ic: .007 }],
            0xEC0C: [.897, 0, .7, { ic: .003 }],
            0xEC0D: [.877, .009, .46],
            0xEC0E: [.899, 0, .7, { ic: .003 }],
            0xEC10: [.894, .213, .8],
            0xEC11: [.711, .213, .62],
            0xF6BE: [.502, .226, .34],
            0xF6DE: [.32, -.212, .75, { ic: .019 }]
        }
    },
    'PUI': {
        'italic': {
            0xE000: [.694, .279, .76, { ic: .053 }],
            0xE001: [.764, .221, .56, { ic: .021 }],
            0xE002: [.681, .279, .72, { ic: .084 }],
            0xE003: [.715, .279, .6, { ic: .057 }],
            0xE004: [.681, .279, .58, { ic: .076 }],
            0xE005: [.715, .279, .28, { ic: .062 }],
            0xE006: [.681, .279, .72, { ic: .103 }],
            0xE007: [.495, .279, .62, { ic: .053 }],
            0xE008: [.681, .279, .7, { ic: .036 }],
            0xE009: [.495, .279, .4, { ic: .081 }],
            0xE803: [.728, .205, 1.03],
            0xEA04: [.819, -.566, .44, { ic: .058 }],
            0xEA05: [-.101, .198, .44],
            0xEA06: [-.101, .198, .44],
            0xEA09: [.819, -.566, .44, { ic: .058 }],
            0xEA0B: [.844, -.566, .44, { ic: .058 }],
            0xEA0D: [.684, -.576, .44, { ic: .028 }],
            0xEA10: [.772, -.566, .44, { ic: .067 }],
            0xEA17: [.826, -.558, .44, { ic: .052 }],
            0xEA1A: [.826, -.558, .44, { ic: .052 }],
            0xEA1C: [.891, -.558, .44, { ic: .095 }],
            0xEA1E: [.783, -.558, .44, { ic: .069 }],
            0xEA1F: [-.051, .279, .36],
            0xEA26: [.721, -.54, .34],
            0xEA2A: [.855, -.57, .42, { ic: .056 }],
            0xEA2C: [.843, -.57, .42, { ic: .105 }],
            0xEA2F: [.855, -.57, .42, { ic: .056 }],
            0xEA35: [.742, -.519, .32, { ic: .077 }],
            0xEA37: [.576, -.421, .32, { ic: .094 }],
            0xEA3A: [-.121, .178, .44],
            0xEA3E: [-.121, .178, .44],
            0xEA42: [.862, -.549, .3, { ic: .115 }],
            0xEA45: [-.108, .191, .44],
            0xEB03: [.864, .23, .7, { ic: .02 }],
            0xEB04: [.705, .23, .62, { ic: .066 }],
            0xEB08: [.687, .013, .74, { ic: .03 }],
            0xEB0F: [.687, .013, .74, { ic: .03 }],
            0xEB10: [0, 0, 0],
            0xEB11: [0, 0, 0],
            0xEB12: [0, 0, 0],
            0xEB16: [.681, 0, .58, { ic: .06 }],
            0xEB19: [-.089, .21, .26],
            0xEB1E: [.864, .23, .68, { ic: .056 }],
            0xEB1F: [.705, .23, .54, { ic: .035 }],
            0xEB28: [.694, .013, 1.352, { ic: .004 }],
            0xEB29: [.562, .225, .54],
            0xEB2B: [.764, .083, .76, { ic: .053 }],
            0xEB31: [.402, -.115, .32, { ic: .037 }],
            0xEB35: [.864, .23, .32, { ic: .106 }],
            0xEB36: [.705, .23, .28, { ic: .085 }],
            0xEB3A: [.864, .013, .56, { ic: .112 }],
            0xEB3B: [.705, .221, .28, { ic: .085 }],
            0xEB40: [.746, .065, 1],
            0xEB48: [.864, .23, .76, { ic: .039 }],
            0xEB49: [.705, .23, .54, { ic: .032 }],
            0xEB4D: [.416, .008, .394, { ic: .011 }],
            0xEB61: [.574, -.276, .28, { ic: .066 }],
            0xEB63: [.681, -.557, .333, { ic: .377 }],
            0xEB65: [.701, -.577, .277, { ic: .329 }],
            0xEB6E: [.681, .198, .72, { ic: .122 }],
            0xEB6F: [.486, .198, .62, { ic: .066 }],
            0xEC08: [.838, 0, .8, { ic: .088 }],
            0xEC09: [.872, .009, .62, { ic: .069 }],
            0xEC0A: [.838, 0, .58, { ic: .076 }],
            0xEC0B: [.872, .009, .28, { ic: .151 }],
            0xEC0C: [.838, 0, .6, { ic: .125 }],
            0xEC0D: [.822, .009, .34, { ic: .117 }],
            0xEC0E: [.856, 0, .6, { ic: .125 }],
            0xEC10: [.847, .166, .76, { ic: .039 }],
            0xEC11: [.648, .166, .54, { ic: .032 }],
            0xF6BE: [.486, .221, .28],
            0xF6DE: [.285, -.232, .75, { ic: .059 }]
        }
    },
    'PUBI': {
        'bold-italic': {
            0xE000: [.694, .328, .76, { ic: .068 }],
            0xE001: [.829, .208, .62, { ic: .049 }],
            0xE002: [.681, .328, .78, { ic: .099 }],
            0xE003: [.732, .328, .7, { ic: .032 }],
            0xE004: [.681, .328, .64, { ic: .085 }],
            0xE005: [.732, .328, .38, { ic: .03 }],
            0xE006: [.681, .328, .74, { ic: .105 }],
            0xE007: [.52, .328, .68, { ic: .035 }],
            0xE008: [.681, .328, .74, { ic: .025 }],
            0xE009: [.52, .328, .5, { ic: .082 }],
            0xE803: [.745, .208, 1.12, { ic: .05 }],
            0xEA04: [.909, -.595, .46, { ic: .08 }],
            0xEA05: [-.097, .223, .46],
            0xEA06: [-.097, .223, .46],
            0xEA09: [.909, -.595, .46, { ic: .073 }],
            0xEA0B: [.926, -.595, .46, { ic: .073 }],
            0xEA0D: [.74, -.6, .46, { ic: .031 }],
            0xEA10: [.871, -.595, .46, { ic: .094 }],
            0xEA17: [.923, -.582, .48, { ic: .064 }],
            0xEA1A: [.923, -.582, .48, { ic: .064 }],
            0xEA1C: [.98, -.582, .48, { ic: .11 }],
            0xEA1E: [.888, -.582, .48, { ic: .087 }],
            0xEA1F: [-.05, .328, .36],
            0xEA26: [.766, -.575, .56],
            0xEA2A: [.951, -.59, .52, { ic: .066 }],
            0xEA2C: [.944, -.59, .52, { ic: .088 }],
            0xEA2F: [.951, -.59, .52, { ic: .066 }],
            0xEA35: [.795, -.546, .34, { ic: .082 }],
            0xEA37: [.659, -.393, .34, { ic: .104 }],
            0xEA3A: [-.116, .204, .48],
            0xEA3E: [-.116, .204, .48],
            0xEA42: [.967, -.563, .36, { ic: .121 }],
            0xEA45: [-.098, .221, .48],
            0xEB03: [.903, .24, .72, { ic: .049 }],
            0xEB04: [.763, .24, .68, { ic: .055 }],
            0xEB08: [.727, .013, .78, { ic: .03 }],
            0xEB0F: [.727, .013, .78, { ic: .03 }],
            0xEB10: [0, 0, 0],
            0xEB11: [0, 0, 0],
            0xEB12: [0, 0, 0],
            0xEB16: [.681, 0, .58, { ic: .07 }],
            0xEB19: [-.077, .243, .38],
            0xEB1E: [.903, .24, .72, { ic: .057 }],
            0xEB1F: [.763, .24, .56, { ic: .036 }],
            0xEB28: [.694, .013, 1.493],
            0xEB29: [.585, .202, .62],
            0xEB2B: [.764, .083, .76, { ic: .068 }],
            0xEB31: [.488, -.05, .28, { ic: .071 }],
            0xEB35: [.903, .24, .38, { ic: .105 }],
            0xEB36: [.763, .24, .38, { ic: .06 }],
            0xEB3A: [.903, .013, .62, { ic: .101 }],
            0xEB3B: [.763, .208, .32, { ic: .115 }],
            0xEB40: [.761, .08, 1],
            0xEB48: [.903, .24, .76, { ic: .046 }],
            0xEB49: [.763, .24, .6, { ic: .027 }],
            0xEB4D: [.354, .008, .465, { ic: .019 }],
            0xEB61: [.583, -.245, .38, { ic: .075 }],
            0xEB63: [.681, -.449, .333, { ic: .444 }],
            0xEB65: [.701, -.469, .277, { ic: .397 }],
            0xEB6E: [.681, .223, .74, { ic: .115 }],
            0xEB6F: [.511, .223, .68, { ic: .04 }],
            0xEC08: [.881, 0, .8, { ic: .11 }],
            0xEC09: [.932, .009, .7, { ic: .036 }],
            0xEC0A: [.881, 0, .64, { ic: .085 }],
            0xEC0B: [.932, .009, .38, { ic: .126 }],
            0xEC0C: [.881, 0, .7, { ic: .102 }],
            0xEC0D: [.859, .009, .44, { ic: .094 }],
            0xEC0E: [.899, 0, .7, { ic: .102 }],
            0xEC10: [.894, .213, .76, { ic: .046 }],
            0xEC11: [.72, .213, .6, { ic: .027 }],
            0xF6BE: [.511, .208, .32, { ic: .037 }],
            0xF6DE: [.314, -.224, .75, { ic: .069 }]
        }
    }
}, 'GB'), {}, ['MJX-GB-PU', 'MJX-GB-PUB', 'MJX-GB-PUI', 'MJX-GB-PUBI']);
//# sourceMappingURL=PUA.js.map